]> git.decadent.org.uk Git - nfs-utils.git/blobdiff - configure
1.0.8
[nfs-utils.git] / configure
index 8436f7a23bdef5f75e40d1ab4e1384814f32c442..e0b1aadcdcca10e186729fd1851726b07eb20625 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for linux nfs-utils 1.0.8-rc4.
+# Generated by GNU Autoconf 2.59 for linux nfs-utils 1.0.8.
 #
 # Report bugs to <nfs@lists.sf.net>.
 #
@@ -423,8 +423,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='linux nfs-utils'
 PACKAGE_TARNAME='nfs-utils'
-PACKAGE_VERSION='1.0.8-rc4'
-PACKAGE_STRING='linux nfs-utils 1.0.8-rc4'
+PACKAGE_VERSION='1.0.8'
+PACKAGE_STRING='linux nfs-utils 1.0.8'
 PACKAGE_BUGREPORT='nfs@lists.sf.net'
 
 ac_unique_file="tools/getiversion/getiversion.c"
@@ -467,7 +467,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar RELEASE statedir statduser enable_nfsv3 IDMAPD enable_nfsv4 CONFIG_NFSV4_TRUE CONFIG_NFSV4_FALSE GSSD SVCGSSD enable_gss CONFIG_GSS_TRUE CONFIG_GSS_FALSE kprefix secure_statd CONFIG_RQUOTAD_TRUE CONFIG_RQUOTAD_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBWRAP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL CC_FOR_BUILD LD ac_ct_LD PKG_CONFIG ac_pt_PKG_CONFIG RPCSECGSS_CFLAGS RPCSECGSS_LIBS LIBSOCKET LIBNSL LIBCRYPT LIBBSD KRBDIR KRBLIBS KRBCFLAGS K5VERS ALLOCA LIBOBJS CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD CPPFLAGS_FOR_BUILD LDFLAGS_FOR_BUILD AM_CPPFLAGS AM_CFLAGS ACLOCAL_AMFLAGS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar RELEASE statedir statduser enable_nfsv3 IDMAPD enable_nfsv4 CONFIG_NFSV4_TRUE CONFIG_NFSV4_FALSE GSSD SVCGSSD enable_gss CONFIG_GSS_TRUE CONFIG_GSS_FALSE kprefix secure_statd CONFIG_RQUOTAD_TRUE CONFIG_RQUOTAD_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBWRAP HAVE_LIBWRAP HAVE_TCP_WRAPPER CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL CC_FOR_BUILD LD ac_ct_LD PKG_CONFIG ac_pt_PKG_CONFIG RPCSECGSS_CFLAGS RPCSECGSS_LIBS GSSAPI_CFLAGS GSSAPI_LIBS LIBSOCKET LIBNSL LIBCRYPT LIBBSD KRBDIR KRBLIBS KRBCFLAGS K5VERS ALLOCA LIBOBJS CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD CPPFLAGS_FOR_BUILD LDFLAGS_FOR_BUILD AM_CPPFLAGS AM_CFLAGS ACLOCAL_AMFLAGS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -960,6 +960,14 @@ ac_env_RPCSECGSS_LIBS_set=${RPCSECGSS_LIBS+set}
 ac_env_RPCSECGSS_LIBS_value=$RPCSECGSS_LIBS
 ac_cv_env_RPCSECGSS_LIBS_set=${RPCSECGSS_LIBS+set}
 ac_cv_env_RPCSECGSS_LIBS_value=$RPCSECGSS_LIBS
+ac_env_GSSAPI_CFLAGS_set=${GSSAPI_CFLAGS+set}
+ac_env_GSSAPI_CFLAGS_value=$GSSAPI_CFLAGS
+ac_cv_env_GSSAPI_CFLAGS_set=${GSSAPI_CFLAGS+set}
+ac_cv_env_GSSAPI_CFLAGS_value=$GSSAPI_CFLAGS
+ac_env_GSSAPI_LIBS_set=${GSSAPI_LIBS+set}
+ac_env_GSSAPI_LIBS_value=$GSSAPI_LIBS
+ac_cv_env_GSSAPI_LIBS_set=${GSSAPI_LIBS+set}
+ac_cv_env_GSSAPI_LIBS_value=$GSSAPI_LIBS
 
 #
 # Report the --help message.
@@ -968,7 +976,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures linux nfs-utils 1.0.8-rc4 to adapt to many kinds of systems.
+\`configure' configures linux nfs-utils 1.0.8 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1034,7 +1042,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of linux nfs-utils 1.0.8-rc4:";;
+     short | recursive ) echo "Configuration of linux nfs-utils 1.0.8:";;
    esac
   cat <<\_ACEOF
 
@@ -1091,6 +1099,9 @@ Some influential environment variables:
               C compiler flags for RPCSECGSS, overriding pkg-config
   RPCSECGSS_LIBS
               linker flags for RPCSECGSS, overriding pkg-config
+  GSSAPI_CFLAGS
+              C compiler flags for GSSAPI, overriding pkg-config
+  GSSAPI_LIBS linker flags for GSSAPI, overriding pkg-config
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -1191,7 +1202,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-linux nfs-utils configure 1.0.8-rc4
+linux nfs-utils configure 1.0.8
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -1205,7 +1216,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by linux nfs-utils $as_me 1.0.8-rc4, which was
+It was created by linux nfs-utils $as_me 1.0.8, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1914,7 +1925,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='nfs-utils'
- VERSION='1.0.8-rc4'
+ VERSION='1.0.8'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3391,6 +3402,16 @@ cat >>confdefs.h <<\_ACEOF
 #define LIBWRAP 1
 _ACEOF
 
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_LIBWRAP 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_TCP_WRAPPER 1
+_ACEOF
+
                 TCPW_MSG="yes"
 
 else
@@ -3415,6 +3436,8 @@ fi;
 
 
 
+
+
           ac_config_headers="$ac_config_headers support/include/config.h"
 
 
@@ -5618,7 +5641,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5621 "configure"' > conftest.$ac_ext
+  echo '#line 5644 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6515,7 +6538,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:6518:" \
+echo "$as_me:6541:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -7576,11 +7599,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7579: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7602: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7583: \$? = $ac_status" >&5
+   echo "$as_me:7606: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7844,11 +7867,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7847: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7870: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7851: \$? = $ac_status" >&5
+   echo "$as_me:7874: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7948,11 +7971,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7951: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7974: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7955: \$? = $ac_status" >&5
+   echo "$as_me:7978: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10273,7 +10296,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10276 "configure"
+#line 10299 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10373,7 +10396,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10376 "configure"
+#line 10399 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12711,11 +12734,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12714: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12737: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12718: \$? = $ac_status" >&5
+   echo "$as_me:12741: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12815,11 +12838,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12818: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12841: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12822: \$? = $ac_status" >&5
+   echo "$as_me:12845: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14376,11 +14399,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14379: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14402: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14383: \$? = $ac_status" >&5
+   echo "$as_me:14406: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14480,11 +14503,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14483: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14506: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14487: \$? = $ac_status" >&5
+   echo "$as_me:14510: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16670,11 +16693,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16673: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16696: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16677: \$? = $ac_status" >&5
+   echo "$as_me:16700: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16938,11 +16961,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16941: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16964: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16945: \$? = $ac_status" >&5
+   echo "$as_me:16968: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17042,11 +17065,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17045: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17049: \$? = $ac_status" >&5
+   echo "$as_me:17072: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -20911,12 +20934,12 @@ if test -n "$PKG_CONFIG"; then
         pkg_cv_RPCSECGSS_CFLAGS="$RPCSECGSS_CFLAGS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss\"") >&5
-  ($PKG_CONFIG --exists --print-errors "librpcsecgss") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss >= 0.10\"") >&5
+  ($PKG_CONFIG --exists --print-errors "librpcsecgss >= 0.10") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_RPCSECGSS_CFLAGS=`$PKG_CONFIG --cflags "librpcsecgss" 2>/dev/null`
+  pkg_cv_RPCSECGSS_CFLAGS=`$PKG_CONFIG --cflags "librpcsecgss >= 0.10" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -20929,12 +20952,12 @@ if test -n "$PKG_CONFIG"; then
         pkg_cv_RPCSECGSS_LIBS="$RPCSECGSS_LIBS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss\"") >&5
-  ($PKG_CONFIG --exists --print-errors "librpcsecgss") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss >= 0.10\"") >&5
+  ($PKG_CONFIG --exists --print-errors "librpcsecgss >= 0.10") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_RPCSECGSS_LIBS=`$PKG_CONFIG --libs "librpcsecgss" 2>/dev/null`
+  pkg_cv_RPCSECGSS_LIBS=`$PKG_CONFIG --libs "librpcsecgss >= 0.10" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -20953,9 +20976,9 @@ else
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-               RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "librpcsecgss"`
+               RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "librpcsecgss >= 0.10"`
         else
-               RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "librpcsecgss"`
+               RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "librpcsecgss >= 0.10"`
         fi
        # Put the nasty error message in config.log where it belongs
        echo "$RPCSECGSS_PKG_ERRORS" >&5
@@ -20986,6 +21009,117 @@ else
 echo "${ECHO_T}yes" >&6
        :
 fi
+
+pkg_failed=no
+echo "$as_me:$LINENO: checking for GSSAPI" >&5
+echo $ECHO_N "checking for GSSAPI... $ECHO_C" >&6
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$GSSAPI_CFLAGS"; then
+        pkg_cv_GSSAPI_CFLAGS="$GSSAPI_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgssapi >= 0.9\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libgssapi >= 0.9") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GSSAPI_CFLAGS=`$PKG_CONFIG --cflags "libgssapi >= 0.9" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$GSSAPI_LIBS"; then
+        pkg_cv_GSSAPI_LIBS="$GSSAPI_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgssapi >= 0.9\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libgssapi >= 0.9") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GSSAPI_LIBS=`$PKG_CONFIG --libs "libgssapi >= 0.9" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+               GSSAPI_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgssapi >= 0.9"`
+        else
+               GSSAPI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgssapi >= 0.9"`
+        fi
+       # Put the nasty error message in config.log where it belongs
+       echo "$GSSAPI_PKG_ERRORS" >&5
+
+       { { echo "$as_me:$LINENO: error: Package requirements (libgssapi >= 0.9) were not met:
+
+$GSSAPI_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (libgssapi >= 0.9) were not met:
+
+$GSSAPI_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+       { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+else
+       GSSAPI_CFLAGS=$pkg_cv_GSSAPI_CFLAGS
+       GSSAPI_LIBS=$pkg_cv_GSSAPI_LIBS
+        echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+       :
+fi
     fi
 
 fi
@@ -27954,7 +28088,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by linux nfs-utils $as_me 1.0.8-rc4, which was
+This file was extended by linux nfs-utils $as_me 1.0.8, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -28017,7 +28151,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-linux nfs-utils config.status 1.0.8-rc4
+linux nfs-utils config.status 1.0.8
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -28308,6 +28442,8 @@ s,@CCDEPMODE@,$CCDEPMODE,;t t
 s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
 s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
 s,@LIBWRAP@,$LIBWRAP,;t t
+s,@HAVE_LIBWRAP@,$HAVE_LIBWRAP,;t t
+s,@HAVE_TCP_WRAPPER@,$HAVE_TCP_WRAPPER,;t t
 s,@CXX@,$CXX,;t t
 s,@CXXFLAGS@,$CXXFLAGS,;t t
 s,@ac_ct_CXX@,$ac_ct_CXX,;t t
@@ -28334,6 +28470,8 @@ s,@PKG_CONFIG@,$PKG_CONFIG,;t t
 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
 s,@RPCSECGSS_CFLAGS@,$RPCSECGSS_CFLAGS,;t t
 s,@RPCSECGSS_LIBS@,$RPCSECGSS_LIBS,;t t
+s,@GSSAPI_CFLAGS@,$GSSAPI_CFLAGS,;t t
+s,@GSSAPI_LIBS@,$GSSAPI_LIBS,;t t
 s,@LIBSOCKET@,$LIBSOCKET,;t t
 s,@LIBNSL@,$LIBNSL,;t t
 s,@LIBCRYPT@,$LIBCRYPT,;t t